--- include/if_acx.h.orig	2004-07-01 15:20:45.000000000 +0300
+++ include/if_acx.h	2005-01-16 14:58:50.000000000 +0200
@@ -91,8 +91,8 @@
     u_int8_t                       tx_ring;     /* tx ring index */
     struct task                    packet_task_rx;
     struct task                    packet_task_tx;
-    struct mtx                     rx_lock;
-    struct mtx                     tx_lock;
+    intrmask_t                     rx_lock;
+    intrmask_t                     tx_lock;
 
     /*
      * eeprom info
@@ -123,7 +123,7 @@
     /*
      * irq lock
      */
-    struct mtx      lock;          /* irq lock */
+    intrmask_t      lock;          /* irq lock */
 
     /*
      * command queue list and task handler
@@ -131,7 +131,7 @@
     STAILQ_HEAD(noname,acx_cmd_entry)     cmd_head;
     struct task                     cmd_task_irq;
     struct task                     cmd_task_exec;
-    struct mtx                      cmd_lock;
+    intrmask_t                      cmd_lock;
 
     /*
      * null if no command, else cmd_entry of running command
@@ -168,7 +168,7 @@
     int (*ic_newstate) (struct ieee80211com *, enum ieee80211_state, int);
 
     struct callout                  ifnet_callout_scan;
-    struct mtx                      ifnet_lock;/* UNUSED & SHOULD BE USED IN ABOVE CALLOUT */
+    intrmask_t                      ifnet_lock;/* UNUSED & SHOULD BE USED IN ABOVE CALLOUT */
 };
 
 #endif /* !_IF_ACX_H */
